Subject: bug#53309: closed (Re: Newly-added python-piexif fails to patch source due to CRLF(?))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Jan 2022 19:14:01 +0000

Your bug report

#53309: Newly-added python-piexif fails to patch source due to CRLF(?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53309: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53309
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Newly-added python-piexif fails to patch source due to CRLF(?)
From: Hartmut Goebel <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>, [email-masked]
Date: Tue, 18 Jan 2022 20:12:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in af47145e995c9d3d116a60053648b4f35e2ed125

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: Newly-added python-piexif fails to patch source due to CRLF(?)
From: Tobias Geerinckx-Rice <[email-masked]>
To: Bug reports for GNU Guix <[email-masked]>
Cc: Hartmut Goebel <[email-masked]>
Date: Sun, 16 Jan 2022 23:44:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hullo Hartmut,

I'm strangely unable to build python-piexif:

patching file tests/s_test.py
Hunk #1 FAILED at 9 (different line endings).
Hunk #2 FAILED at 580 (different line endings).
2 out of 2 hunks FAILED -- saving rejects to file 
tests/s_test.py.rej

Indeed:

$ file tests/s_test.py
tests/s_test.py: Python script, ASCII text executable, with CRLF 
line terminators

$ file python-piexif-fix-tests-with-pillow-7.2.pat>
python-piexif-fix-tests-with-pillow-7.2.patch: ASCII text

At least that's what I guess is the problem.

This is worrying since I'd expect all this to be 100% 
reproducible, and it seems to work fine for both you & Ludo'…

Kind regards,

T G-R